#Definition file for miniBSD scripts

#!/bin/sh

if [ "`id -u`" != "0" ]; then
  echo "Sorry, this must be done as root."
  exit 1
fi

TERM=cons25
export TERM

#This variable allows to set the default editor used to edit
#the kernel file.
EDITOR=vi
BIN_DIR="lib bin sbin usr.bin usr.sbin libexec gnu/usr.bin secure/usr.bin secure/usr.sbin"

#This variable allows to choose the default device used.
DEF_DEV="da0"
DEST_FILE="${HOME}/minibsd.bin"
ISO_FILE="${HOME}/minibsd.iso"
JAIL_DIR="/usr/local/miniBSD"
DEST_DIR="/mnt/miniBSD"
MOUNT_POINT="${DEST_DIR}"
START_PATH=`pwd`

#This variable redirects to null kernel compilation output
KERNEL_SILENT="N"
KERNEL_FILE="MINIBSD"

if [ "`uname -r | cut -d '.' -f1`" = "5" ]; then 
  RELEASE=5
else
  RELEASE=4
fi

#This variable allows to execute all the scripts in a chain.
#the user has only to invoke the first one (0.binaries.sh),
#and 0.binaries.sh calls 1.kernel.sh and so on.
CHAIN="N"
